<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:41 GMT 2016 -->
<title>NearestNeighbour</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NearestNeighbour";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NearestNeighbour.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/stefanomantini/solvers/MorroccoTangiers.html" title="class in com.stefanomantini.solvers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html" title="class in com.stefanomantini.solvers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/stefanomantini/solvers/NearestNeighbour.html" target="_top">Frames</a></li>
<li><a href="NearestNeighbour.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.stefanomantini.solvers</div>
<h2 title="Class NearestNeighbour" class="title">Class NearestNeighbour</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.stefanomantini.solvers.NearestNeighbour</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">NearestNeighbour</span>
extends java.lang.Object</pre>
<div class="block">Nearest Neighbour:
 Start at any city after the starting node, then look through the 
 remaining vehicles and find the nearest city to that node, repeat 
 until there are no more cities to visit
 Loosely based on Peter Norvig's "nn_tsp" from: 
 -norvig.com/ipython/TSP.ipynb</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Stefano Mantini</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/solvers/NearestNeighbour.html#NearestNeighbour--">NearestNeighbour</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/solvers/NearestNeighbour.html#calculateNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                         <a href="../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Main method, dispatches to other methods and handles 
 initial startup of a tour (finding startnode and next)</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/solvers/NearestNeighbour.html#nearestNeighbour-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbour</a></span>(<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
                java.util.ArrayList&lt;<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                <a href="../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Gets the nearest neighbour to a given vehicle, 
 given the next vehicle and unvisited nodes</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NearestNeighbour--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NearestNeighbour</h4>
<pre>public&nbsp;NearestNeighbour()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="calculateNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateNearestNeighbour</h4>
<pre>public static&nbsp;<a href="../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;calculateNearestNeighbour(java.util.ArrayList&lt;<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                                             <a href="../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</pre>
<div class="block">Main method, dispatches to other methods and handles 
 initial startup of a tour (finding startnode and next)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>unvisited</code> - </dd>
<dd><code>request</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="nearestNeighbour-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nearestNeighbour</h4>
<pre>public static&nbsp;<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;nearestNeighbour(<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
                                       java.util.ArrayList&lt;<a href="../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                                       <a href="../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</pre>
<div class="block">Gets the nearest neighbour to a given vehicle, 
 given the next vehicle and unvisited nodes</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>next</code> - </dd>
<dd><code>unvisited</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>closest vehicle</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NearestNeighbour.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/stefanomantini/solvers/MorroccoTangiers.html" title="class in com.stefanomantini.solvers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html" title="class in com.stefanomantini.solvers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/stefanomantini/solvers/NearestNeighbour.html" target="_top">Frames</a></li>
<li><a href="NearestNeighbour.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
